package com.kingdee.eas.custom.attendanceexception.task;

import javax.ejb.*;
import java.rmi.RemoteException;
import com.kingdee.bos.*;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.metadata.IMetaDataPK;
import com.kingdee.bos.metadata.rule.RuleExecutor;
import com.kingdee.bos.metadata.MetaDataPK;
//import com.kingdee.bos.metadata.entity.EntityViewInfo;
import com.kingdee.bos.framework.ejb.AbstractEntityControllerBean;
import com.kingdee.bos.framework.ejb.AbstractBizControllerBean;
//import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.bos.dao.IObjectValue;
import com.kingdee.bos.dao.IObjectCollection;
import com.kingdee.bos.service.ServiceContext;
import com.kingdee.bos.service.IServiceContext;
import com.kingdee.eas.framework.Result;
import com.kingdee.eas.framework.LineResult;
import com.kingdee.eas.framework.exception.EASMultiException;
import com.kingdee.bos.dao.ormapping.ObjectUuidPK;

import com.kingdee.eas.common.EASBizException;
import java.lang.String;



public abstract class AbstractAttendanceExceptionFacadeControllerBean extends AbstractBizControllerBean implements AttendanceExceptionFacadeController
{
    protected AbstractAttendanceExceptionFacadeControllerBean()
    {
    }

    protected BOSObjectType getBOSType()
    {
        return new BOSObjectType("438735B7");
    }

    public void notifyEmployeeException(Context ctx) throws BOSException, EASBizException
    {
        try {
            ServiceContext svcCtx = createServiceContext(new MetaDataPK("d6478087-e082-40d6-83c3-b3718c3d414c"), new Object[]{ctx});
            invokeServiceBefore(svcCtx);
              if(!svcCtx.invokeBreak()) {
            _notifyEmployeeException(ctx);
            }
            invokeServiceAfter(svcCtx);
        } catch (BOSException ex) {
            throw ex;
        } catch (EASBizException ex0) {
            throw ex0;
        } finally {
            super.cleanUpServiceState();
        }
    }
    protected void _notifyEmployeeException(Context ctx) throws BOSException, EASBizException
    {    	
        return;
    }

    public void notifyEmployeeCumulativeException(Context ctx, String exceptionLimit) throws BOSException, EASBizException
    {
        try {
            ServiceContext svcCtx = createServiceContext(new MetaDataPK("e647e8d3-95ae-439f-bfb2-ce09573b6b7e"), new Object[]{ctx, exceptionLimit});
            invokeServiceBefore(svcCtx);
              if(!svcCtx.invokeBreak()) {
            _notifyEmployeeCumulativeException(ctx, exceptionLimit);
            }
            invokeServiceAfter(svcCtx);
        } catch (BOSException ex) {
            throw ex;
        } catch (EASBizException ex0) {
            throw ex0;
        } finally {
            super.cleanUpServiceState();
        }
    }
    protected void _notifyEmployeeCumulativeException(Context ctx, String exceptionLimit) throws BOSException, EASBizException
    {    	
        return;
    }

    public void alertLeaderExceptionTotal(Context ctx) throws BOSException, EASBizException
    {
        try {
            ServiceContext svcCtx = createServiceContext(new MetaDataPK("bd54229d-d191-49e7-b191-dae9c0896b6b"), new Object[]{ctx});
            invokeServiceBefore(svcCtx);
              if(!svcCtx.invokeBreak()) {
            _alertLeaderExceptionTotal(ctx);
            }
            invokeServiceAfter(svcCtx);
        } catch (BOSException ex) {
            throw ex;
        } catch (EASBizException ex0) {
            throw ex0;
        } finally {
            super.cleanUpServiceState();
        }
    }
    protected void _alertLeaderExceptionTotal(Context ctx) throws BOSException, EASBizException
    {    	
        return;
    }

}